Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Class OutputMethodHandlerImpl

    java.lang.Object
      com.jclark.xsl.sax.OutputMethodHandlerImpl

All Implemented Interfaces:
  OutputMethodHandler

public class OutputMethodHandlerImpl
extends java.lang.Object
implements OutputMethodHandler

produces a DocumentHandler suitable for a given output method i.e text, XML, etc and destination

Field Summary

Fields inherited from interface com.jclark.xsl.sax.OutputMethodHandler
`namespaceSeparator`

Constructor Summary
`OutputMethodHandlerImpl(XSLProcessor processor)`

Method Summary
`org.xml.sax.DocumentHandler` | `createDocumentHandler(java.lang.String name, org.xml.sax.AttributeList atts)` obtain a DocumentHandler appropriate for the named output method and our destination
`OutputMethodHandler` | `createOutputMethodHandler(java.lang.String uri)` construct one of these guys for a given output URI (destination)
`void` | `setDestination(Destination dest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputMethodHandlerImpl

    public OutputMethodHandlerImpl(XSLProcessor processor)

Method Detail

### createOutputMethodHandler

    public OutputMethodHandler createOutputMethodHandler(java.lang.String uri)

  Description copied from interface: `OutputMethodHandler`
  construct one of these guys for a given output URI (destination)

  Specified by:
    `createOutputMethodHandler` in interface `OutputMethodHandler`

### setDestination

    public void setDestination(Destination dest)

### createDocumentHandler

    public org.xml.sax.DocumentHandler createDocumentHandler(java.lang.String name,
                                                             org.xml.sax.AttributeList atts)
                                                      throws org.xml.sax.SAXException,
                                                             java.io.IOException

  obtain a DocumentHandler appropriate for the named output method and our destination

  Specified by:
    `createDocumentHandler` in interface `OutputMethodHandler`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD